Skip to main content
PUT
Replace a workspace's templates manifest

Authorizations

Authorization
string
header
required

A fine-grained control-plane API key (values begin with hh_fgcp_). Project API keys used with the Data Plane API will not work here. Create one in the HoneyHive app under an organization's or workspace's Settings → API Keys.

Path Parameters

workspace_id
string
required

The unique identifier of the workspace

Body

application/json

Request body for replacing a workspace's templates manifest

yaml_content
string
required

The templates manifest, as YAML. It must parse and pass templates manifest validation for a workspace, which forbids workspace_templates.

Minimum string length: 1

Response

Templates manifest saved, or returned unchanged for an API key whose content matched

The templates manifest after the update

success
boolean
required
data
object
required

One version of a manifest